Create a sub-scheme for a group scheme plan Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/plans/{plan_uuid}/sub-group-schemes

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required

    uuid The UUID of the group scheme plan.

application/json

Body

  • name string Required

    The name for the sub-scheme

    Maximum length is 255.

  • status string Required

    Plan status for the member.

    Value Description
    active Active
    inactive Inactive
    proposed Proposed

    Values are active, inactive, or proposed.

  • inactive_status string

    Optional inactive status when the status is inactive.

    Value Description
    accepted Accepted
    agency_transferred Agency Transferred
    cancelled Cancelled
    claimed Claimed
    complete Complete
    death_event Death Event
    deferred Deferred
    drawdown Drawdown
    expired Expired
    full_drawdown Full Drawdown
    issued Issued
    lapsed Lapsed
    matured Matured
    not_proceeded_with Not Proceeded With
    not_taken_up Not Taken Up
    offered Offered
    paid_up Paid Up
    partial_drawdown Partial Drawdown
    partial_surrender Partial Surrender
    proposed Proposed
    prospect Prospect
    refunded Refunded
    refused Refused
    surrendered Surrendered
    transfer Transfer
    transferred Transferred
    underwriting Underwriting
    vested Vested
    declined Declined
    encashment Encashment
    left_service Left Service
    premium_holiday Premium Holiday
    other Other

    Values are accepted, agency_transferred, cancelled, claimed, complete, death_event, deferred, drawdown, expired, full_drawdown, issued, lapsed, matured, not_proceeded_with, not_taken_up, offered, paid_up, partial_drawdown, partial_surrender, proposed, prospect, refunded, refused, surrendered, transfer, transferred, underwriting, vested, declined, encashment, left_service, premium_holiday, or other.

  • policy_number string | null

    Optional policy number if the sub scheme has separate policy numbers per member.

    Maximum length is 255.

  • inactive_at string(date) | null

    Date when the policy was made inactive.

  • on_risk_at string(date) | null

    Date when the policy went "on risk".

  • employer_percentage number(float)

    Employer percentage being paid in to pension plan.

    Minimum value is 0.0, maximum value is 100.0.

  • employer_frequency string

    Frequency of the employer percentage being paid in to pension plan.

  • employee_percentage number(float)

    Employee percentage being paid in to pension plan.

    Minimum value is 0.0, maximum value is 100.0.

  • employee_frequency string

    Frequency of the employee percentage being paid in to pension plan.

    Value Description
    daily Daily
    weekly Weekly
    fortnightly Fortnightly
    four_weekly Four Weekly
    monthly Monthly
    bimonthly Bimonthly
    quarterly Quarterly
    biannually Biannually
    annually Annually
    adhoc Adhoc
    one_off One Off

    Values are daily, weekly, fortnightly, four_weekly, monthly, bimonthly, quarterly, biannually, annually, adhoc, or one_off.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • message string
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string
POST /api/v1/plans/{plan_uuid}/sub-group-schemes
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-group-schemes' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Families","status":"active","inactive_status":"accepted","policy_number":"AVIVA-123","inactive_at":"2024-03-26","on_risk_at":"2023-03-26","employer_percentage":1.24,"employer_frequency":"monthly","employee_percentage":9.65,"employee_frequency":"daily"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Families",
  "status": "active",
  "inactive_status": "accepted",
  "policy_number": "AVIVA-123",
  "inactive_at": "2024-03-26",
  "on_risk_at": "2023-03-26",
  "employer_percentage": 1.24,
  "employer_frequency": "monthly",
  "employee_percentage": 9.65,
  "employee_frequency": "daily"
}
Response examples (200)
{
  "message": "Plan is being deleted."
}
Response examples (409)
{
  "message": "Plan is being deleted."
}